=head1 NAME

Gnome2::Rsvg::main

=cut

=for object Gnome2::Rsvg::main

=cut




=head1 METHODS

=head2 boolean = Gnome2::Rsvg-E<gt>B<CHECK_VERSION> ($major, $minor, $micro)

=over

=item * $major (integer) 

=item * $minor (integer) 

=item * $micro (integer) 

=back

=head2 list = Gnome2::Rsvg-E<gt>B<GET_VERSION_INFO> 

=head2 Gnome2::Rsvg-E<gt>B<set_default_dpi> ($dpi)

=over

=item * $dpi (double) 

=back

=head2 Gnome2::Rsvg-E<gt>B<set_default_dpi_x_y> ($dpi_x, $dpi_y)

=over

=item * $dpi_x (double) 

=item * $dpi_y (double) 

=back

=head2 pixbuf = Gnome2::Rsvg-E<gt>B<pixbuf_from_file> ($file_name)

=over

=item * $file_name (string) 

=back



May croak with a L<Glib::Error> in $@ on failure.

=head2 pixbuf = Gnome2::Rsvg-E<gt>B<pixbuf_from_file_at_max_size> ($file_name, $max_width, $max_height)

=over

=item * $file_name (string) 

=item * $max_width (integer) 

=item * $max_height (integer) 

=back



May croak with a L<Glib::Error> in $@ on failure.

=head2 pixbuf = Gnome2::Rsvg-E<gt>B<pixbuf_from_file_at_size> ($file_name, $width, $height)

=over

=item * $file_name (string) 

=item * $width (integer) 

=item * $height (integer) 

=back



May croak with a L<Glib::Error> in $@ on failure.

=head2 pixbuf = Gnome2::Rsvg-E<gt>B<pixbuf_from_file_at_zoom> ($file_name, $x_zoom, $y_zoom)

=over

=item * $file_name (string) 

=item * $x_zoom (double) 

=item * $y_zoom (double) 

=back



May croak with a L<Glib::Error> in $@ on failure.

=head2 pixbuf = Gnome2::Rsvg-E<gt>B<pixbuf_from_file_at_zoom_with_max> ($file_name, $x_zoom, $y_zoom, $max_width, $max_height)

=over

=item * $file_name (string) 

=item * $x_zoom (double) 

=item * $y_zoom (double) 

=item * $max_width (integer) 

=item * $max_height (integer) 

=back



May croak with a L<Glib::Error> in $@ on failure.



=cut


=head1 SEE ALSO

L<Gnome2::Rsvg>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2005, 2010  Torsten Schoenfeld

This software is licensed under the LGPL.  See L<Gnome2::Rsvg> for a full
notice.



=cut

